<?php

/**
 * 2007-2018 PrestaShop
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    PrestaShop SA <contact@prestashop.com>
 *  @copyright 2007-2018 PrestaShop SA
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 *  International Registered Trademark & Property of PrestaShop SA
 */

include_once _PS_MODULE_DIR_ . 'smartpay/smartpay.php';

class SmartPayS2SModuleFrontController extends ModuleFrontController
{
    public function __construct()
    {
        parent::__construct();
        $this->ssl     = true;
        $this->context = Context::getContext();
        
        $key     = Configuration::get('SMART_PAY_KEY');
        $secret  = Configuration::get('SMART_PAY_SECRET');
        $display = new FrontController();
        

        $transactionToken = Tools::getValue('transactionToken');
        
        
        /* we are returing form payment gateway */
        if (!empty($transactionToken)) {
                       
            
            $confirmActionUrl           = "https://www.smart-cash.it/smartPay/getTransactionStatus.php";
            $params['merchantUsername'] = $key;
            $params['merchantPassword'] = $secret;
            $params['transactionToken'] = $transactionToken;
            //$params['transactionCartId'] = $sc_cart_id;
            
            $confirmActionUrl .= "?" . http_build_query($params);
            
            $apiResult = file_get_contents($confirmActionUrl);
            
            if (!$apiResult) {
                
                die("Server error");
            }
            
            $response = json_decode($apiResult, 1);
            
            if (!$response) {
                
                die("Response error.");
            }
            
            //response taken
            
            if ($response['response']['payed'] == 0) {
                
                die("Order not payed");
            } else {
                
                $sc_cart_id = $response['response']['cart_id'];
                
                try {
                    
                    $cart = new Cart($sc_cart_id);
                    
                    $total = (double) $response['response']['amount'];
                    
                    $customer = new Customer($cart->id_customer);
                    $shop     = new Shop($cart->id_shop);
                    
                    
                    
                    try {
                        if ($this->module->validateOrder((int) $cart->id, Configuration::get('PS_OS_PAYMENT'), (float) $total, "SmartCash", "trams", array(
                            'transaction_id' => $transactionToken
                        ), $cart->id_currency, false, $customer->secure_key, $shop)) {
                            die("Finish");
                            
                            
                        } else {
                            
                            die("Unable to confirm");
                        }
                    }
                    catch (PrestaShopException $e) {
                        print_r($e);
                        
                    }
                    
                    
                }
                catch (PrestaShopException $e) {
                    print_r($e);
                    
                }
                
                
                
                
                
                
                
                
            }
            
            
            
        } else {
            die("Missing fields");
        }
        
        
        die(" - End");
    }
    
    
    
}
