{*
* 2007-2015 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2015 PrestaShop SA
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>{l s="An error occurred"  mod='smartpay'}</title>

	<style>

#body {
  background-color: #F7F7F7;
}

#maintenance {
  margin: 50px 0 0 0;
  background-color: #fff;
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
}
@media (min-width: 1200px) {
  #maintenance {
    margin: 126px 0 0 0;
    padding: 50px;
  }
}
#maintenance .logo {
  margin: 0 0 31px 0;
  text-align: center;
}
#maintenance h1 {
  font: 24px "Montserrat", sans-serif;
  color: #666666;
  padding: 0 0 14px 0;
  margin: 0 0 19px 0;
}
#maintenance #message {
  font: 14px "Montserrat", sans-serif;
  padding: 0 0 0 18px;
  color: #555454;
  text-align: center;
}

.container {
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
}

@media (min-width: 768px) {
  .container {
    width: 500px;
  }
}
@media (min-width: 992px) {
  .container {
    width: 500px;
  }
}
@media (min-width: 1200px) {
  .container {
    width: 500px;
  }
}
@media only screen and (min-width: 1200px) {
  .container {
    padding-left: 0;
    padding-right: 0;
  }
}
</style>
       	<link href='//fonts.googleapis.com/css?family=Open+Sans:600' rel='stylesheet'>
</head>
<body>
	<div class="container">
		<div id="maintenance" style ="padding:5px">
			<div id="message">
				<h1 class="maintenance-heading">{l s='An error occurred.'}</h1>

				{if $error_type == 1}
								{l s='Shopping Cart ID does not exist (wrong CID).' mod='smartpay'}

				{else if $error_type == 2}
								{l s='Server error : invalid response.' mod='smartpay'}


				{else if $error_type == 3}
								{l s='Server error : invalid JSON response.' mod='smartpay'}


				{else if $error_type == 4}
								<b>{l s='SmartCash >'}</b> {$error_msg}


				{/if}

				<br /><br />
				{l s='If you are having troubles please contact support!' mod='smartpay'}
<br><br>
<a href = '{$back_href}'>{l s = "Go back and retry" mod='smartpay'}</a>
<br><br>
			</div>
		</div>
	</div>
</body>
</html>
